package domain


type AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest struct {
    /*
        淘系子订单列表，一次最多20个     */
    SubTradeOrderNoList  *[]string `json:"sub_trade_order_no_list,omitempty" `

    /*
        销售=10，销退=20     */
    SalesType  *int64 `json:"sales_type,omitempty" `

}

func (s *AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest) SetSubTradeOrderNoList(v []string) *AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest {
    s.SubTradeOrderNoList = &v
    return s
}
func (s *AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest) SetSalesType(v int64) *AlibabaWdkSopoPushTriggerWdkOpenPushSoPoRequest {
    s.SalesType = &v
    return s
}
